.. _changelog-7-2:

**************************
 MapServer 7.2 Changelog
**************************

The summary of major changes for this release can be found in the `HISTORY.TXT <https://github.com/mapserver/mapserver/blob/rel-7-2-0/HISTORY.TXT>`__
file from the source directory.

.. _changelog-7.2.2:

Changes from 7.2.1 to 7.2.2
===========================

* Use forward declaration (Tamas Szekeres) : `151efbd <https://github.com/mapserver/mapserver/commit/151efbd630637c3238eb1bdddf29f3864427abd7>`__
* Adding Z values to curves (Tamas Szekeres) : `5b65967 <https://github.com/mapserver/mapserver/commit/5b659670b09019090af1224979c08091e64e3cd7>`__
* MSSQL: Add support for curve geometries ( `#5743 <https://github.com/mapserver/mapserver/issues/5743>`__ ) (Tamas Szekeres) : `52b8434 <https://github.com/mapserver/mapserver/commit/52b8434951ccf2cd6f35cf24e9087c542a5ea6b8>`__
* SLD / Filter encoding: fix again escaping of REGEX special characters (fixes  `#5658 <https://github.com/mapserver/mapserver/issues/5658>`__ ) (Even Rouault) : `9e654b3 <https://github.com/mapserver/mapserver/commit/9e654b36c296d14e45f854d8ecea684c8b75e441>`__
* Updated writeDimension() to take doubles instead of ints ( `#5310 <https://github.com/mapserver/mapserver/issues/5310>`__ ) as input. Output pattern follows writeNumber(). (Steve Lime) : `4853fd6 <https://github.com/mapserver/mapserver/commit/4853fd623d1afc765712821c55d5e1aa54ff485b>`__
* Make sure computed triangle height is always positive. ( `#5731 <https://github.com/mapserver/mapserver/issues/5731>`__ ) (Steve Lime) : `1cec5bf <https://github.com/mapserver/mapserver/commit/1cec5bf0a73fe11ea42205deaf54df0aa4b1ad9c>`__
* Filter out triangular rings with height (opposite longest base) less than 1 ( `#5731 <https://github.com/mapserver/mapserver/issues/5731>`__ ). (Steve Lime) : `11e0565 <https://github.com/mapserver/mapserver/commit/11e0565243f8a8ecccd32d00a9a2c2dcb88dc47a>`__
* Identified difference between WMS and mode=tile sourced MVT output. WMS doesn't set a cellsize so the half-pixel offset computation is off by a pixel ( `#5596 <https://github.com/mapserver/mapserver/issues/5596>`__ ). (Steve Lime) : `3b79601 <https://github.com/mapserver/mapserver/commit/3b79601baa480ebe80418397bfe3f57dde19878a>`__
* Fix mssql driver attribute conversion ( `#5702 <https://github.com/mapserver/mapserver/issues/5702>`__ ) (Tamas Szekeres) : `ffb1191 <https://github.com/mapserver/mapserver/commit/ffb119137bf339630ff9fd9b441a7745a9f84b6b>`__
* Make sure we have a scale computed before generating a vector tile ( `#5714 <https://github.com/mapserver/mapserver/issues/5714>`__ ) (Steve Lime) : `505539f <https://github.com/mapserver/mapserver/commit/505539f5eb6c1d3f053c5ff68e87a0a152252bfd>`__
* Allow to specify driver in the MSSQL connection string ( `#5703 <https://github.com/mapserver/mapserver/issues/5703>`__ ) (Tamas Szekeres) : `d7fa02e <https://github.com/mapserver/mapserver/commit/d7fa02e14a379a256e2d066261a2f12fdcf44843>`__
* Added PostGIS specific filter tests to mimic the shapefile version. (Steve Lime) : `c44fc6a <https://github.com/mapserver/mapserver/commit/c44fc6a3ec10924651e0cc464b10c7c526ef80d0>`__
* Avoid compiler error by moving variable definition to the beginning of the block. (Steve Lime) : `f567914 <https://github.com/mapserver/mapserver/commit/f567914991b5822182673997e7750b21fde01aec>`__
* Initial fix for issue  `#5490 <https://github.com/mapserver/mapserver/issues/5490>`__  (for PostGIS only). (Steve Lime) : `462f376 <https://github.com/mapserver/mapserver/commit/462f376c0f5549fd423a8907f27ec469fc79573e>`__
* fix brackets ( `#5692 <https://github.com/mapserver/mapserver/issues/5692>`__ ) (Tom Kralidis) : `8765e13 <https://github.com/mapserver/mapserver/commit/8765e135e9658cd989603e5c81283ffee3faf681>`__
* Fix MSSQL driver when parsing geometries with ZM values ( `#5689 <https://github.com/mapserver/mapserver/issues/5689>`__ ) (Tamas Szekeres) : `540d613 <https://github.com/mapserver/mapserver/commit/540d61373642091a720b9d0f4147223134a144c8>`__
* fix protocol depending on service type in ISO metadata ( `#5669 <https://github.com/mapserver/mapserver/issues/5669>`__ ) (Tom Kralidis) : `3c44e49 <https://github.com/mapserver/mapserver/commit/3c44e49059e113ae6584fa4dba067618b765fb2e>`__
* fix ISO metadata link validity ( `#5668 <https://github.com/mapserver/mapserver/issues/5668>`__ ) (Tom Kralidis) : `db9dc5a <https://github.com/mapserver/mapserver/commit/db9dc5a77b46d8eb8be58053d20dc0e96bffafcc>`__
* emit only required formats for WMS links in ISO metadata ( `#5667 <https://github.com/mapserver/mapserver/issues/5667>`__ ) (Tom Kralidis) : `c6f77b1 <https://github.com/mapserver/mapserver/commit/c6f77b1faddcede08d2be8d3a1c3f05a2fca8c9b>`__
* fix MetadataURL type for Capabilities responses ( `#5680 <https://github.com/mapserver/mapserver/issues/5680>`__ ) (Tom Kralidis) : `04459d1 <https://github.com/mapserver/mapserver/commit/04459d1424810a36f6aa86f54f2165f62a14f981>`__
* Changed function name for error in msWMSApplyFilter (Erik Ravhed) : `e0d8f0b <https://github.com/mapserver/mapserver/commit/e0d8f0b89ba2c742f102e191480f86457a07b62f>`__
* Silently ignore WMS filter if it is empty (Erik Ravhed) : `7a4280c <https://github.com/mapserver/mapserver/commit/7a4280c7d97cdd97ed9bedf49ae6f58b647be1ee>`__
* Remove redundant csharp installer commands (geographika) : `84d3e0e <https://github.com/mapserver/mapserver/commit/84d3e0e5f0ec0232d1455790cb6bfc821eeaf671>`__
* Correct files to install (geographika) : `612cc46 <https://github.com/mapserver/mapserver/commit/612cc46dc4424dbe09636577fdec6f2502cfc5e9>`__
* Use mapscript_files for install command (Seth G) : `52ce27e <https://github.com/mapserver/mapserver/commit/52ce27e93d67f7335a6d90e1d59b76fe39ccf32b>`__
* Use mapscript_files for install command (Seth G) : `33138ca <https://github.com/mapserver/mapserver/commit/33138ca89c1838a35308d7d0c1ea76b5e20afa86>`__
* Use mapscript_files for output (Seth G) : `10d9d25 <https://github.com/mapserver/mapserver/commit/10d9d259d7334616d4e4315b83a197cff7adcc60>`__
* Update Ruby CMakeLists to use generator expression (Seth G) : `05cb8ef <https://github.com/mapserver/mapserver/commit/05cb8ef40e53e37407cee39b351cb9df37445700>`__
* Update Java CMakeLists (Seth G) : `b91cfd7 <https://github.com/mapserver/mapserver/commit/b91cfd76a29286e96b0663652ecf0bc4ce4e952b>`__
* Use swig_add_library (Seth G) : `e7449f4 <https://github.com/mapserver/mapserver/commit/e7449f4ee6a86a6a3d4f9fe91164bda5c193bc1c>`__
* Use generator expressions in CMake (Seth G) : `a2d9b0f <https://github.com/mapserver/mapserver/commit/a2d9b0f0a9416bd2d1bd6e38445388e3d9adff32>`__

.. _changelog-7.2.1:

Changes from 7.2.0 to 7.2.1
===========================

* SLD / Filter encoding: fix escaping of REGEX special characters (fixes  `#5658 <https://github.com/mapserver/mapserver/issues/5658>`__ ) (Even Rouault) : `b023c9c <https://github.com/mapserver/mapserver/commit/b023c9c5db10260abba86fe2b7c1972d5bf94f45>`__
* CMake Python mapscript: avoid cmake 3.12 error with get_target_property LOCATION (Even Rouault) : `9594c2f <https://github.com/mapserver/mapserver/commit/9594c2f30b6667a8109bbdb72cba79a0ca9f0ea6>`__
* appveyor.yml: backport master changes related to backslashes (Even Rouault) : `5379636 <https://github.com/mapserver/mapserver/commit/5379636056e057dbe6edc9e4d9086ae223f0a512>`__
* Fixed clipping error for point layers ( `#5652 <https://github.com/mapserver/mapserver/issues/5652>`__ ). (Steve Lime) : `dbd43dd <https://github.com/mapserver/mapserver/commit/dbd43dd54969d1df798c2f0598f37d9dfc9a750b>`__
* Add expected image for labels-wrap test (Oliver Tonnhofer) : `e26bf0e <https://github.com/mapserver/mapserver/commit/e26bf0ec049f5617bef3de4bfb1643a9d473777e>`__
* Fix label wrap ( `#5612 <https://github.com/mapserver/mapserver/issues/5612>`__ ) and wrap at ZERO WIDTH SPACE ( `#5613 <https://github.com/mapserver/mapserver/issues/5613>`__ ) (Oliver Tonnhofer) : `0ebd2b6 <https://github.com/mapserver/mapserver/commit/0ebd2b60453fa78068e1a8b2aedfb99a5b1b8918>`__
* Update COMMITERS (Steve Lime) : `a53a72d <https://github.com/mapserver/mapserver/commit/a53a72d1c5bb8c7f633fead39d39ec5ca80614ba>`__
* mapwcs20: keep compiler happy about (im)possible use of uninitialized memory (Sander Jansen) : `0bf81bb <https://github.com/mapserver/mapserver/commit/0bf81bb61f8354dbf3cc4c1f68fcf0182df6405d>`__
* mapwcs: use large enough output buffer for snprintf (Sander Jansen) : `d18302b <https://github.com/mapserver/mapserver/commit/d18302baca4990fd4540784117152feed5560c7d>`__
* mapogcsld: fix potential overflow when writing hexcolor in the unlikely case color components are bigger than 255 (Sander Jansen) : `c86b5e5 <https://github.com/mapserver/mapserver/commit/c86b5e5bfbe386621e08f21e8f85e3f16fc0a340>`__
* mapwms: fix forgotten if braces for commit c8190e5f3d27f0d93648c6fa7e7c6671ce729402 (Sander Jansen) : `a2f0881 <https://github.com/mapserver/mapserver/commit/a2f08817428c9445342fab000ea0b01b855a0480>`__
* mappostgis: fix forgotten pointer dereference (Sander Jansen) : `0f3a648 <https://github.com/mapserver/mapserver/commit/0f3a648fc3d74d34baf928096c0b8ebd1ebc8150>`__
* Simplify msDBFWriteAttribute to get rid of compiler warnings in latest GCC. (Sander Jansen) : `2389313 <https://github.com/mapserver/mapserver/commit/23893139adbe042eb944b7ee62ae7067f1600c8f>`__
* mapxbase: simplify fieldname assignment to pszFInfo (Sander Jansen) : `738ea6d <https://github.com/mapserver/mapserver/commit/738ea6d45e31c8c6e1f5f2c3a06473b378a66709>`__
* Add Python methods to hashtable so it can be used like a dict ( `#5620 <https://github.com/mapserver/mapserver/issues/5620>`__ ) (Seth G) : `c59ab11 <https://github.com/mapserver/mapserver/commit/c59ab11ca6cf410a8b2bcc71a9fb871a27754efa>`__
* Made the lexer regex for regular expression EXPRESSIONs more specific (see  `#5636 <https://github.com/mapserver/mapserver/issues/5636>`__ ). (Steve Lime) : `21ad78b <https://github.com/mapserver/mapserver/commit/21ad78b9eaceb8dd8645511050481a24ae105c63>`__
* put back mapcache apache config (Michael Smith) : `9464043 <https://github.com/mapserver/mapserver/commit/94640430103e7759e617f5babdf9b8dbcfbb75e4>`__
* bring dockerfiles up to date with mapserver 7.2 (Michael Smith) : `a8bda24 <https://github.com/mapserver/mapserver/commit/a8bda246820dfd1d5bfebd8fa99e4c7efe647d5f>`__

.. _changelog-7.2.0:

Changes from 7.2.0-beta2 to 7.2.0
=================================

* Add test to make sure extent (and hence geometry) isn't degenerate after clipping. (Steve Lime) : `fb5b7cb <https://github.com/mapserver/mapserver/commit/fb5b7cb274b863887ea8fc52ccea0a836b28e766>`__
* Make sure the first ring of a polygon is an outer... (Steve Lime) : `1ebf223 <https://github.com/mapserver/mapserver/commit/1ebf22359d1f70eb6ec22dbf6d7fb97402b66da8>`__
* Don't consider last (duplicate) point for polygons ( `#5626 <https://github.com/mapserver/mapserver/issues/5626>`__ ). (Steve Lime) : `3f88c00 <https://github.com/mapserver/mapserver/commit/3f88c00141e8a27f8962584207c0b1e90b9fab7b>`__
* msautotest/wxs/wfs_ogr.map: avoid time-dependant result for wfsogr10_shapezip.zip (Even Rouault) : `5b206a4 <https://github.com/mapserver/mapserver/commit/5b206a4b3841c1613e42624758fcece0d35a2980>`__
* Use strcpy rather than strdup ( `#5610 <https://github.com/mapserver/mapserver/issues/5610>`__ ) (Seth G) : `af14610 <https://github.com/mapserver/mapserver/commit/af14610814835692a6ce9bc6a5149d8aaaa247af>`__


.. _changelog-7.2.0-beta2:

Changes from 7.2.0-beta1 to 7.2.0-beta2
=======================================

* appveyor.yml: reflect change of name to freetype.lib in gisinternals SDK (Even Rouault) : `61e4981 <https://github.com/mapserver/mapserver/commit/61e4981bd0db94c77b12277028c08a2edb51fe6b>`__
* Apply map rotation to symbols, similarly to the rule of labels (fixes  `#5271 <https://github.com/mapserver/mapserver/issues/5271>`__ ) (Even Rouault) : `91d53be <https://github.com/mapserver/mapserver/commit/91d53be63cf0061466ced1d99171039ef869e168>`__
* Fix mssql filter string limitation ( `#5602 <https://github.com/mapserver/mapserver/issues/5602>`__ ) (Tamas Szekeres) : `706df49 <https://github.com/mapserver/mapserver/commit/706df49f899c70aacaea9502ed2474eca8be90ab>`__
* Small change for clarity - avoid reusing the mvt_buffer variable for extent. (Steve Lime) : `c0369c2 <https://github.com/mapserver/mapserver/commit/c0369c227b165b6e389d1f806f0e4e7b09ffd61a>`__
* Fixing schema locations in expected test results. (Fabian Schindler) : `c2d1458 <https://github.com/mapserver/mapserver/commit/c2d1458a2b8d22b4c6a5d975c907aa9a0e504dde>`__
* Fixing WCS 2.0 inspire download service schema location. (Fabian Schindler) : `0ba27aa <https://github.com/mapserver/mapserver/commit/0ba27aace586154219fc360777ece874cbec2b78>`__
* Backport small bug fix to quote the geo column name  `#5579 <https://github.com/mapserver/mapserver/issues/5579>`__ / `#5580 <https://github.com/mapserver/mapserver/issues/5580>`__ . (Steve Lime) : `129a716 <https://github.com/mapserver/mapserver/commit/129a7169bf37fc5a49dc414819d83eb69ad533d6>`__

.. _changelog-7.2.0-beta1:

Changes from 7.0.7 to 7.2.0-beta1
=================================
 
* WCS 2.0: add comments and test that we support SIZExxx, RESOLUTIONxxx and SUBSETxxx keys (Even Rouault) : `3fafb87 <https://github.com/mapserver/mapserver/commit/3fafb87488e364a62eab255f816991fda0eace97>`__
* Implement getNumFeatures for some drivers ( `#5586 <https://github.com/mapserver/mapserver/issues/5586>`__ ) (Tamas Szekeres) : `2fec032 <https://github.com/mapserver/mapserver/commit/2fec0326bd880ab27f766fa76427bd7c79077a9c>`__
* Cascaded WMS: do not issue a useless GetLegendGraphic to the cascaded server when doing a GetFeatureInfo request (Even Rouault) : `2b9d022 <https://github.com/mapserver/mapserver/commit/2b9d02203e38ecaad1214ef463ea501749824432>`__
* Fixed extent issue with MVT tiles. We assume the extent is given as a MapServer extent (pixel center) and we need the edge-to-edge version to properly query and encode the tile. ( `#5578 <https://github.com/mapserver/mapserver/issues/5578>`__ ) (Steve Lime) : `f3bfd69 <https://github.com/mapserver/mapserver/commit/f3bfd691eddb01aa4d6d5a5bca7af99e110bbe33>`__
* WMS: tag a layer as queryable in GetCapabilities response if queryable or sublayers are queryable (fixes  `#5570 <https://github.com/mapserver/mapserver/issues/5570>`__ ) (Even Rouault) : `0c26a42 <https://github.com/mapserver/mapserver/commit/0c26a42038ce3b164ff3c02a3efb8d9d21dda37d>`__
* PostGIS getExtent should consider layer filter ( `#5584 <https://github.com/mapserver/mapserver/issues/5584>`__ ) (Tamas Szekeres) : `8679c4e <https://github.com/mapserver/mapserver/commit/8679c4ec297d31c1fd92deedc0ec2e2415a963cb>`__
* Improve testing of wms_layer_groups by putting a mapfile layer that is a non-leaf in the group hieararchy (Even Rouault) : `7cf9b5f <https://github.com/mapserver/mapserver/commit/7cf9b5f8c89b74105b7adbc64139fa7a3bc31f2e>`__
* Remove pygdioctx related files and references (geographika) : `8abf89b <https://github.com/mapserver/mapserver/commit/8abf89ba593a6ec4c17f4da1aeca187ea052ddd1>`__
* Fix Python3 syntax issues in Python tests (Claude Paroz) : `968c414 <https://github.com/mapserver/mapserver/commit/968c41486c4651508b5e571d6400e24e8b0a53d3>`__
* Removed leftover .cvsignore files (Claude Paroz) : `89b99a4 <https://github.com/mapserver/mapserver/commit/89b99a4816ad89072bdf92ed99905f2612991dfd>`__
* mapmvt.c: fix memory leak (Even Rouault) : `9d7b942 <https://github.com/mapserver/mapserver/commit/9d7b94241217da0225a0af819c2e2125d3d90250>`__
* Add test for WMS MVT output (refs  `#5376 <https://github.com/mapserver/mapserver/issues/5376>`__ ) (Even Rouault) : `6ab90ce <https://github.com/mapserver/mapserver/commit/6ab90ce30119dab11b4eac805d2708a3120505f2>`__
* mapmvt.c: remove unused variables (Even Rouault) : `6052b83 <https://github.com/mapserver/mapserver/commit/6052b83bcb44678ac684c83d379e518d4f6120ba>`__
* Restore CMakeList.txt to its state before  `#5376 <https://github.com/mapserver/mapserver/issues/5376>`__  merge, and remerge select protobuf bits (Even Rouault) : `1425551 <https://github.com/mapserver/mapserver/commit/14255511171af23461c4b1319b4a1bdf9123c18d>`__
* Damn, missed one test result. (Steve Lime) : `9d3ed9e <https://github.com/mapserver/mapserver/commit/9d3ed9e50f4d80734dda3006ab0cf25def0f1008>`__
* WFS: take into account PROPERTYNAME with OGR output format (fixes  `#5573 <https://github.com/mapserver/mapserver/issues/5573>`__ ) (Even Rouault) : `563b175 <https://github.com/mapserver/mapserver/commit/563b175040b552faaa291b7319843f8f0f729260>`__
* Remove unused variable (Even Rouault) : `5c151d6 <https://github.com/mapserver/mapserver/commit/5c151d6be2c03f2b40eaabd963676a28111a681e>`__
* Remove tox file (geographika) : `c39ef31 <https://github.com/mapserver/mapserver/commit/c39ef313084a2e7f5c32b35d3a44ab16b5424a72>`__
* Fixing wrong allocation methods in WCS 2.0 GetCoverage. (Fabian Schindler) : `fa811a5 <https://github.com/mapserver/mapserver/commit/fa811a59479651d064716b4b4d25abefe3b61970>`__
* Adding missing exptected result. (Stephan Meissl) : `c771a26 <https://github.com/mapserver/mapserver/commit/c771a26cc514a188bd6f11223593ac08ab336328>`__
* Adding tests for  `#5415 <https://github.com/mapserver/mapserver/issues/5415>`__ . (Stephan Meissl) : `0bfc5e7 <https://github.com/mapserver/mapserver/commit/0bfc5e7551c7caf2b87c94fb9906af7f93311c28>`__
* Remove remaining failing tests (hash table related) (geographika) : `a773f15 <https://github.com/mapserver/mapserver/commit/a773f150009cc7e64541706d3aa3b2499950b013>`__
* Adjusting coverage used in tests. (Stephan Meissl) : `ef99079 <https://github.com/mapserver/mapserver/commit/ef99079031f3aa14cd2489493a01f243a2be3739>`__
* Found the issue that was causing the 1.3 client tests to fail... (Steve Lime) : `a7ecb21 <https://github.com/mapserver/mapserver/commit/a7ecb21c0010aecd9d2e6d4a588819001d64af7b>`__
* Adding additional tests for rangesubsets: using default band names and indices for POST/XML. (Fabian Schindler) : `ced579e <https://github.com/mapserver/mapserver/commit/ced579e562929ae56f7ecf533e30c52ce9b8a8b7>`__
* WCS 2.0 INSPIRE download: Updating test results for new formats. (Fabian Schindler) : `6d465bd <https://github.com/mapserver/mapserver/commit/6d465bd8462b813263ee07095cbac73cd97fffb2>`__
* Fixing warning during compilation. (Fabian Schindler) : `037520e <https://github.com/mapserver/mapserver/commit/037520e1742aef1f9172bd0ecbe4e968cc70e319>`__
* Adding WCS inspire download service tests and expected results. (Fabian Schindler) : `bbb346c <https://github.com/mapserver/mapserver/commit/bbb346c6cbf430188658af2ebffe07a213884db5>`__
* Fixing wrong parsing of AcceptLanguages/Language nodes. (Fabian Schindler) : `83d1716 <https://github.com/mapserver/mapserver/commit/83d1716940657dfb93a82c0047e757fa4370a31b>`__
* Fixing typo in language negotiation. (Fabian Schindler) : `58a26d8 <https://github.com/mapserver/mapserver/commit/58a26d8effa170884a0fbfb665df0c41c2346390>`__
* Improving support of inspire download service within WCS 2.0. Now using msOWSPrintInspireCommonExtendedCapabilities. Added msOWSLanguageNegotiation function to negotiate the response language. (Fabian Schindler) : `459d5a8 <https://github.com/mapserver/mapserver/commit/459d5a8b93dfbd5dd272f37aed8e8635373178d6>`__
* Starting implementation of inspire download service for WCS 2.0. (Fabian Schindler) : `ab661e2 <https://github.com/mapserver/mapserver/commit/ab661e2a5155a8ee69a275e3a75edf59eb027d57>`__
* Temporarily disable C# mapscript (geographika) : `930fe6d <https://github.com/mapserver/mapserver/commit/930fe6d1f733930a078f9a9669490c89b60f9a0f>`__
* Update SWIG version (geographika) : `e6ff435 <https://github.com/mapserver/mapserver/commit/e6ff435d964636633c0baffeb31d157e21483176>`__
* Change to newer version of SWIG (geographika) : `e01c2ba <https://github.com/mapserver/mapserver/commit/e01c2ba331d5dae31f59ca0e1723d2d0360563a4>`__
* Back to VS 2013 (geographika) : `0c518d8 <https://github.com/mapserver/mapserver/commit/0c518d894ed8667c4667a095077a08dda716229e>`__
* Attempt VS 2017 again (geographika) : `5f3872e <https://github.com/mapserver/mapserver/commit/5f3872e32dafcdf333f62f40665fb0ece86f5d89>`__
* Change VS version (geographika) : `1b93bec <https://github.com/mapserver/mapserver/commit/1b93bec2c876e66b4c4434a63ba287c4d4395f8f>`__
* VS 2017 (geographika) : `641cf98 <https://github.com/mapserver/mapserver/commit/641cf98085547c35a7a87ce391acbbb551aee0af>`__
* Update to VS 2017 (geographika) : `7005b33 <https://github.com/mapserver/mapserver/commit/7005b333dc38ade6bbf0144b07b22095a30712ca>`__
* syntax cleanup (geographika) : `901161f <https://github.com/mapserver/mapserver/commit/901161f45eb48c86ce6488abccbc8bb16fa07378>`__
* cd to requirements directory (geographika) : `58f5773 <https://github.com/mapserver/mapserver/commit/58f5773f0557237327655d03d2ac23307212db3e>`__
* Update pip using -m (geographika) : `7b4d8c7 <https://github.com/mapserver/mapserver/commit/7b4d8c7b0c04d2817c73720e810b62baecdc66c6>`__
* Update pip (geographika) : `bbdb670 <https://github.com/mapserver/mapserver/commit/bbdb670e62a7ade734beca8296bf49d74ced4885>`__
* Give up on tox (geographika) : `8a37187 <https://github.com/mapserver/mapserver/commit/8a37187a8b1ebc8e8ff82017a1f51b9d697e7e0b>`__
* Add Scripts to PATH to find tox (geographika) : `8f448c1 <https://github.com/mapserver/mapserver/commit/8f448c1f2f3c8682337c0279970ef5346f611b22>`__
* YAML fix (geographika) : `cdf2c0b <https://github.com/mapserver/mapserver/commit/cdf2c0bc613c36accea9526f2c88407f09eb06fc>`__
* tox syntax change (geographika) : `c4bc647 <https://github.com/mapserver/mapserver/commit/c4bc647a214c1550b72d3bf0baf49c14eec6c5f3>`__
* tox command syntax (geographika) : `15fd526 <https://github.com/mapserver/mapserver/commit/15fd526c32425fadda58655d155e8cdff5ab8604>`__
* Change tox install command (geographika) : `7b811b4 <https://github.com/mapserver/mapserver/commit/7b811b4ee917bbdb0182d0fd20d668c9a6512029>`__
* Update pip command (geographika) : `3146f86 <https://github.com/mapserver/mapserver/commit/3146f86d9774c147ca693860057f6d0468febbd2>`__
* Set paths to Python executables (geographika) : `ecfc86e <https://github.com/mapserver/mapserver/commit/ecfc86e3b2d0c8e6911ab811900037531527278f>`__
* Update path to tests folder (geographika) : `c358857 <https://github.com/mapserver/mapserver/commit/c35885750bef8a7f3ab981a4c159855fc3c734cd>`__
* Fixes to PYTHONPATH and pytest command (geographika) : `78d91ba <https://github.com/mapserver/mapserver/commit/78d91baf383a94988a22dd40fb9901224a83e641>`__
* Stop tox building mapscript (geographika) : `f64f488 <https://github.com/mapserver/mapserver/commit/f64f4887e797f318f6babbde51be96d51746780c>`__
* Correct path to Python (geographika) : `c2c3f37 <https://github.com/mapserver/mapserver/commit/c2c3f37f3b144a61aad3d509b46fdba0157c4a95>`__
* Update PYTHONPATH settings and install tox (geographika) : `9a44526 <https://github.com/mapserver/mapserver/commit/9a445260678340184327a922c1268c43b09b21d8>`__
* Attempt to run mapscript tests from AppVeyor (geographika) : `c7e5975 <https://github.com/mapserver/mapserver/commit/c7e597564419a98cd7eb9ba10a2859964d0e74ef>`__
* Add Python testing related files (geographika) : `7b4be34 <https://github.com/mapserver/mapserver/commit/7b4be34cd345da274bb887180f5dd17e54a7c916>`__
* Comment out any tests that construct image objects (geographika) : `f051fb0 <https://github.com/mapserver/mapserver/commit/f051fb0e4138fd3dd442fe78ac0820024e1ec7a0>`__
* Refcounts are incorrect - comment out. Update output format name (geographika) : `be82c95 <https://github.com/mapserver/mapserver/commit/be82c95768f8bd4ac3e9a051d130f4a7cffbb207>`__
* Comment out the failing zoom scale test (geographika) : `37d73d7 <https://github.com/mapserver/mapserver/commit/37d73d794bcde4d7e166bf3ec4cbba38f02b5a2a>`__
* Revert "Use test path. IOError no longer raised." (geographika) : `8ca27c2 <https://github.com/mapserver/mapserver/commit/8ca27c2edddaa43eac952dbdea96184bea4c69f2>`__
* IOError no longer raised. Use TESTS_PATH path for data (geographika) : `7931509 <https://github.com/mapserver/mapserver/commit/79315090b4cd3a02932c19d54cb450054ea0d817>`__
* Use test path. IOError no longer raised. (geographika) : `f0762b4 <https://github.com/mapserver/mapserver/commit/f0762b45922cf262322df863aa4091fe6db42f07>`__
* Layer no longer has a getFeature method (geographika) : `3a50925 <https://github.com/mapserver/mapserver/commit/3a50925ff2d391792d86c7326a1b01c8630e4ed7>`__
* Layer no longer has a getFeature method (geographika) : `fd93b53 <https://github.com/mapserver/mapserver/commit/fd93b53e57a8aa09f68f7ea1de76f0f72659c6cc>`__
* Use tests paths to find polygon.shp (geographika) : `8499edc <https://github.com/mapserver/mapserver/commit/8499edce3406a4e60b324d59b2fbdadba526259d>`__
* Change query file extension. Comment out test with getFeature. (geographika) : `4ccc7a7 <https://github.com/mapserver/mapserver/commit/4ccc7a795a9226b850d20edf77763a1b3dbacbd1>`__
* WGS84 projection definition change, and WEB METADATA addition (geographika) : `0c04a2b <https://github.com/mapserver/mapserver/commit/0c04a2b02917ccd894bdc57647b376e6e0cadd06>`__
* TOREVIEW. numpoints is immutable but does not raise an error. (geographika) : `4411fcb <https://github.com/mapserver/mapserver/commit/4411fcbdfc9d7ee2965ed09dc997d4285997f10b>`__
* Multiple LABEL fix. TOREVIEW new layer does not equal last LAYER in MAP (geographika) : `0bde55b <https://github.com/mapserver/mapserver/commit/0bde55b042b8b7793d8119f7a7699d596c7e70dd>`__
* TOREVIEW - getLabel functionality appears to no longer be available (geographika) : `028c87c <https://github.com/mapserver/mapserver/commit/028c87c7b8e03afc1fd5e0a11137796c75a43b2f>`__
* Replace GD renderer with AGG. Stop running imageObj constructor tests as marked as "severely broken" (geographika) : `1b2093b <https://github.com/mapserver/mapserver/commit/1b2093b3013f442302e0a2fa6fe2975868bc4015>`__
* Add new "ows_enable_request" key and value present in the WEB METADATA (geographika) : `c564418 <https://github.com/mapserver/mapserver/commit/c564418580c14918b0f3ece8f3190bc7c1565cea>`__
* A CLASS can now have multiple labels so update syntax to reflect this (geographika) : `2b32ada <https://github.com/mapserver/mapserver/commit/2b32adaa9b6ffe08d1224f517191f9682e03092f>`__
* Remove references to pen (no longer a colorObj property) and replace with alpha tests (geographika) : `175902b <https://github.com/mapserver/mapserver/commit/175902b4023b3a59a2fed8c120559b92f6b607e3>`__
* Fix AssertionError syntax (geographika) : `d33d0ed <https://github.com/mapserver/mapserver/commit/d33d0ed123418e9c0cfb5a0c7fb1f68343a7a0d6>`__
* Fixing WCS 2.0 POST/XML tests after recent bugfixes. (Fabian Schindler) : `28f6566 <https://github.com/mapserver/mapserver/commit/28f65661f09167348559382319a36496609221a5>`__
* Apply FT_LOAD_NO_BITMAP in FT_Load_Glyph ( `#5567 <https://github.com/mapserver/mapserver/issues/5567>`__ ) (Tamas Szekeres) : `53d1460 <https://github.com/mapserver/mapserver/commit/53d146097e988d1084d794ee0eccb0f766fb3b62>`__
* Add MapScript support for Python 3.x (Jim Klassen) : `640a228 <https://github.com/mapserver/mapserver/commit/640a22871debb55d0fdbea7be19ff82d07a4d81a>`__
* Fixing issues when no band names are specified: allowing to access the bands with the default band name 'band<n>'. (Fabian Schindler) : `3b4aefa <https://github.com/mapserver/mapserver/commit/3b4aefa555253d4ae2d193c3dabebb191e8f948b>`__
* Fixing issues with parsing GetCoverage XML requests. (Fabian Schindler) : `8d3b4a4 <https://github.com/mapserver/mapserver/commit/8d3b4a42829d130263bfcc7941be47801d712a74>`__
* (master) Extra expected result adjsutments after  `#5560 <https://github.com/mapserver/mapserver/issues/5560>`__  fix (Even Rouault) : `e8f718c <https://github.com/mapserver/mapserver/commit/e8f718c6ca1ab101278a3e617c71c854dd6da255>`__
* Adjust expected results after  `#5560 <https://github.com/mapserver/mapserver/issues/5560>`__  fix (Even Rouault) : `f2b1afe <https://github.com/mapserver/mapserver/commit/f2b1afe20a8d26863dff58410ec499ce2d6a20db>`__
* WMS capabilities: automatically add 'application/json' to GetMap formats if UTFGRID OUPUTFORMAT is specified (fixes  `#5560 <https://github.com/mapserver/mapserver/issues/5560>`__ ) (Even Rouault) : `e78e26f <https://github.com/mapserver/mapserver/commit/e78e26fbc50fefed6d26b7d88acba3bbc680e752>`__
* msOGRFileOpen(): reset OGR error after trying to run 'SELECT spatialite_version()' for SQlite and GPKG input datasets (Even Rouault) : `4e4885f <https://github.com/mapserver/mapserver/commit/4e4885f8598764b7cfb3a8c1c91c6f60eb12671f>`__
* Updated vagrant setup to include protobuf packages. (Steve Lime) : `86d7edb <https://github.com/mapserver/mapserver/commit/86d7edbb36ed9ad34015054361191b774e41c81f>`__
* Fix MSSql Filter (Eric Peiffer) : `c0f2f8a <https://github.com/mapserver/mapserver/commit/c0f2f8ae10a661eeeb480bf2d8738b4fa383a93d>`__
* Add autotests for WMS client 1.1.1 and 1.3.0 (Edward Nash) : `6e82b42 <https://github.com/mapserver/mapserver/commit/6e82b42fd628b622b87552779fd70d6a73066411>`__
* First draft WMS 1.3.0 Layer support (Edward Nash) : `229a92a <https://github.com/mapserver/mapserver/commit/229a92a4ef1df09c19fdd1d75d8761cbdce1c928>`__
* WCS 2.0: fix when input raster is full world in EPSG:4326 (Even Rouault) : `03da61e <https://github.com/mapserver/mapserver/commit/03da61e8dd5649776ea1e423a4314d1e5139c56a>`__
* Exclude .java files from jar. (Bas Couwenberg) : `d8dfde1 <https://github.com/mapserver/mapserver/commit/d8dfde1125f432ce61c48b0c89682eed1da725b3>`__
* WCS and GRIB2 input/output: automatically set GDAL/GRIB output creation options from GRIB2 input dataset metadata (Even Rouault) : `04109d3 <https://github.com/mapserver/mapserver/commit/04109d3b61736f41d6ecd2a653ad4a61bb2d2e66>`__
* Fixed format list to include MVT... (missed a couple) (Steve Lime) : `8b7b89d <https://github.com/mapserver/mapserver/commit/8b7b89db086568e84ebfa0b4f11920cf3190ada1>`__
* Fixed format list to include MVT... (Steve Lime) : `470b6fb <https://github.com/mapserver/mapserver/commit/470b6fb1e41a932ebbbb81dadac72718417b5ba9>`__
* Fix segfault with polyline labels for empty multilinestrings (Oliver Tonnhofer) : `b93c142 <https://github.com/mapserver/mapserver/commit/b93c142da429eb1bb9e823e27e005c9a3a999e4b>`__
* Updated a few test results to account for vector tiles. Let's see if that works and then we'll take care of the others. (Steve Lime) : `93c3642 <https://github.com/mapserver/mapserver/commit/93c36424ad1daa49858cf7dae83bf6e36a7e40d6>`__
* Fixed some conflicts against master. (Steve Lime) : `9ac714b <https://github.com/mapserver/mapserver/commit/9ac714b532dd8f5d1966baf001c31206db0c9d9e>`__
* Fix compilation without GDAL and OGR (fixes  `#5539 <https://github.com/mapserver/mapserver/issues/5539>`__ ) (Even Rouault) : `bba2982 <https://github.com/mapserver/mapserver/commit/bba2982a19514543b7ad4a5b73c5eb12dc219096>`__
* update for year 2018 (Jeff McKenna) : `20ee78f <https://github.com/mapserver/mapserver/commit/20ee78ffbbd68d3a9f6dd3cba9566c05e70748d2>`__
* Update embed_sb_rgba_offset.map (Seth G) : `8effa58 <https://github.com/mapserver/mapserver/commit/8effa5807b813a77f9e56764929d176b2c4ccefa>`__
* Fix crash on GRID layer without LABEL block (fixes  `#5466 <https://github.com/mapserver/mapserver/issues/5466>`__ ) (Even Rouault) : `e82d376 <https://github.com/mapserver/mapserver/commit/e82d376f76c7e134a307a5c440a0f61d354e93e6>`__
* Update msautotest - add metadataURL (Yves Jacolin) : `54c1c9b <https://github.com/mapserver/mapserver/commit/54c1c9b43cf749a8ced55c15f5c87f42aa3a400b>`__
* Update msautotest for wms_layer_group (Yves Jacolin) : `508c4eb <https://github.com/mapserver/mapserver/commit/508c4eb0289b27dbcb9fdcfbd3e681df22b93044>`__
* Add items in HISTORY.TXT for wms_layer_group requestable (Yves Jacolin) : `e238f83 <https://github.com/mapserver/mapserver/commit/e238f83ebaf5bba07924e199d743b63d1258033e>`__
* update tests (Thomas Bonfort) : `b9d01e4 <https://github.com/mapserver/mapserver/commit/b9d01e43ea7fd69bd3cc45f5b5e93161269df534>`__
* fix order of name/title tags. first test (Thomas Bonfort) : `3a749f0 <https://github.com/mapserver/mapserver/commit/3a749f01c8afb012a4be31b5b7f4a89bc6ab78fa>`__
* make nested groups appear as queryable in capabilities (Thomas Bonfort) : `2d0ffdc <https://github.com/mapserver/mapserver/commit/2d0ffdce15d0259d20ceff7cfd893a73e1fe4bc4>`__
* Add option to set up a global font cache with the multi threaded configuration (Tamas Szekeres) : `b74fd63 <https://github.com/mapserver/mapserver/commit/b74fd63f6838f1cf20cee7f1951e8cbac8da443e>`__
* Allow to configure max file handles on Windows (Tamas Szekeres) : `def90bf <https://github.com/mapserver/mapserver/commit/def90bfed47abaaba7ec12f49eb218494a39cbdc>`__
* WCS: support providing creation options that are layer specific (Even Rouault) : `6b5ed6e <https://github.com/mapserver/mapserver/commit/6b5ed6e941078a85f743f975d0b90c794807aed0>`__
* Remove unused variables (Even Rouault) : `834cdb2 <https://github.com/mapserver/mapserver/commit/834cdb2528c99b32d5ea9b7b338a18ec9520dd12>`__
* Make msLookupHashTable() return a const char*, and do all related changes (Even Rouault) : `bd40892 <https://github.com/mapserver/mapserver/commit/bd40892ab776eb14f007cbd1c39f939cb0df9fbd>`__
* Consitfy const char* filename in msSaveImage(), msSaveImageIM() and msSaveImageGDAL() (Even Rouault) : `924f2e4 <https://github.com/mapserver/mapserver/commit/924f2e4aa9a210f5fbd9d1a062a96428e1cdb773>`__
* mapoutput.c: enhance code comment (Even Rouault) : `66d8e0a <https://github.com/mapserver/mapserver/commit/66d8e0a8486f1a6260a2b4486273d1df5f3bde23>`__
* Add comments to previous commit, and make sure that in msWCSGetCoverage20_GetBands() the WCS 2.0 wcs_band_names get priority over the WCS 1.x wcs_rangeset_axes (to be consistent with msWCSGetCoverageMetadata20()) (Even Rouault) : `6a09273 <https://github.com/mapserver/mapserver/commit/6a09273f4da7486b7f05846c3acb0630f54664dd>`__
* Fix transfter typo (Guillaume Beraudo) : `112f1b1 <https://github.com/mapserver/mapserver/commit/112f1b1c62008f91cf64bfc9f3009e5d68975578>`__
* Fix Filer typo (Guillaume Beraudo) : `c1079fa <https://github.com/mapserver/mapserver/commit/c1079fa5dd990ff99f6c8bc5387f15ff84829c7e>`__
* Fix coantins typo (Guillaume Beraudo) : `aada6a1 <https://github.com/mapserver/mapserver/commit/aada6a13a63e433346d1548719fc4546061600b5>`__
* Fix conteent typo (Guillaume Beraudo) : `160d7bc <https://github.com/mapserver/mapserver/commit/160d7bcb85f2212070b3efe38e12c6b087c33ed8>`__
* WCS 2.0: special processing for wcs_rangeset_axes=bands (Even Rouault) : `2493287 <https://github.com/mapserver/mapserver/commit/2493287b0e35f54c671d6dae33ebabfc7869bb60>`__
* UVRaster: better result quality for rasters whose longitude span from 0 to 360 deg (complementary fix for  `#5502 <https://github.com/mapserver/mapserver/issues/5502>`__ ) (Even Rouault) : `116c7d2 <https://github.com/mapserver/mapserver/commit/116c7d235220e3e4cfea0d19c958e21739b309b9>`__
* Fix potential crash in msUpdateLayerFromString ( `#5521 <https://github.com/mapserver/mapserver/issues/5521>`__ ) (Tamas Szekeres) : `fd2bd75 <https://github.com/mapserver/mapserver/commit/fd2bd750ab597b3fabb34a014bdff14801171308>`__
* Fix cluster positions (Tamas Szekeres) : `f776436 <https://github.com/mapserver/mapserver/commit/f776436e2955a66903632530cec73341c7c0e97f>`__
* Improve mapserver clustering performance ( `#5503 <https://github.com/mapserver/mapserver/issues/5503>`__ ) (Tamas Szekeres) : `1a08f7f <https://github.com/mapserver/mapserver/commit/1a08f7fc942bc46ef3a3c68e18790aae654ffb3b>`__
* Commit expected results that should have done with 5d1689db07d2056b014d3759f5c5efdf5006e2e3 ( `#5202 <https://github.com/mapserver/mapserver/issues/5202>`__ ) (Even Rouault) : `bf73b5c <https://github.com/mapserver/mapserver/commit/bf73b5cdfe0bcecc06f8241ddf844a99b5fa7f4b>`__
* Updated cairo test png for offset scalebar (Dan 'Ducky' Little) : `27b66bc <https://github.com/mapserver/mapserver/commit/27b66bc1d4618da1c8402e9f8543fc324a79f08f>`__
* Add an offset to the scalebar (Dan 'Ducky' Little) : `a6d1749 <https://github.com/mapserver/mapserver/commit/a6d174902bff1aea11277eb7d8667470e6efe432>`__
* Fix MSVC builds (Tamas Szekeres) : `69da69c <https://github.com/mapserver/mapserver/commit/69da69c6ea255ca7edd50cdc8498cdb7c9281d81>`__
* Add support for empty WMS filters (RFC118) (Daniel Morissette) : `7096a10 <https://github.com/mapserver/mapserver/commit/7096a10d8fdb490f6f6fa17ff7a67b4e5854cb54>`__
* First pass at supporting RFC118 WMS FILTER param (Daniel Morissette) : `fedc614 <https://github.com/mapserver/mapserver/commit/fedc614d3dbd37fb5ae9462875f5b4520665af90>`__
* Update CONTRIBUTING.md (Seth G) : `4caf270 <https://github.com/mapserver/mapserver/commit/4caf27032f447aea0fab3b6189d2b5fc165880c4>`__
* Create CONTRIBUTING.md (Seth G) : `8fe1841 <https://github.com/mapserver/mapserver/commit/8fe18410bbb4d901deb657e3968fc6f5a652660d>`__
* Fix MSVC2015+ builds ( `#5274 <https://github.com/mapserver/mapserver/issues/5274>`__ ) (Tamas Szekeres) : `320d83e <https://github.com/mapserver/mapserver/commit/320d83e7d9cd373ce14d93ee54323f867dda5722>`__
* Commented out the WFS code that adjusts the supplied extent as there is no route (currently) to render query results as MVT. (Steve Lime) : `2ddcd98 <https://github.com/mapserver/mapserver/commit/2ddcd98e152e6a8ccc631d524412e9e74f117faf>`__
* Remove erroneous END from map (Seth G) : `6d8b9a4 <https://github.com/mapserver/mapserver/commit/6d8b9a4936ee75c7d6bfaf116c65b97a021dec0d>`__
* Calculate MINDISTANCE from label bounds instead of label center ( `#5369 <https://github.com/mapserver/mapserver/issues/5369>`__ ) (Oliver Tonnhofer) : `90a846a <https://github.com/mapserver/mapserver/commit/90a846a72ba6d7b63fc7f2bca881aa55a34b2d84>`__
* Update MVT mime-type to comply with version 2.1 of the vector tile spec. (Steve Lime) : `13813cb <https://github.com/mapserver/mapserver/commit/13813cbf8c8e95214805cb18e59186c39ce898b2>`__
* Bring into line with  `#5277 <https://github.com/mapserver/mapserver/issues/5277>`__ ... (Steve Lime) : `d374fa2 <https://github.com/mapserver/mapserver/commit/d374fa235fe8a3b6f8c8121ee7e90a7c80729b29>`__
* Change to double quotes for Window's command line parameters (Seth G) : `7b492d7 <https://github.com/mapserver/mapserver/commit/7b492d747833aa887c8968cdb1adf9f07766c26f>`__
* Complementary fix of 1df03be1bbb3343f78e582ca04eb929e34f3a32c for master (Even Rouault) : `3281445 <https://github.com/mapserver/mapserver/commit/3281445d7195314d7f91006db0f14435aa11728b>`__
* CMakeLists.txt: add -Werror=format-security (Even Rouault) : `0174ae6 <https://github.com/mapserver/mapserver/commit/0174ae639639ed4e8c01d6830bbc72695cdfef98>`__
* msMetadataDispatch(): fix -Wformat-security warnings (master only) (Even Rouault) : `1e8b44c <https://github.com/mapserver/mapserver/commit/1e8b44cb745ab128e9c7dcaeb45899a47927c414>`__
* msOGRFileOpenSpatialite(): reduce log verbosity (Even Rouault) : `d5a9bd8 <https://github.com/mapserver/mapserver/commit/d5a9bd8eb8d9267a1c61c9f6325048716fdbf9f2>`__
* A couple of small feature additions relative to labeling... ( `#5434 <https://github.com/mapserver/mapserver/issues/5434>`__  and  `#5435 <https://github.com/mapserver/mapserver/issues/5435>`__ ) (Steve Lime) : `ee04622 <https://github.com/mapserver/mapserver/commit/ee0462269cfcf5b13ce18a949533066e1aac632e>`__
* Update mapmvt.c (Fabrizio) : `d4468c2 <https://github.com/mapserver/mapserver/commit/d4468c2c73610c2bd46a51256efbe4177003c83e>`__
* Ticket  `#5202 <https://github.com/mapserver/mapserver/issues/5202>`__ : Add two tests to cover the out-of-extent intersects filters (Julien-Samuel Lacroix) : `5d1689d <https://github.com/mapserver/mapserver/commit/5d1689db07d2056b014d3759f5c5efdf5006e2e3>`__
* Shape and OGR providers: allow TILESRS keyword to support tileindex with tiles of different SRS (Even Rouault) : `bb61f1f <https://github.com/mapserver/mapserver/commit/bb61f1f38c161452d0eb6343865508c3021ab902>`__
* Enhanced Layer Metadata implementation (RFC 82) (Tom Kralidis) : `c8190e5 <https://github.com/mapserver/mapserver/commit/c8190e5f3d27f0d93648c6fa7e7c6671ce729402>`__
* add metadata to optionally not emit root layer name in WMS Capabilities XML ( `#5404 <https://github.com/mapserver/mapserver/issues/5404>`__ ) (Tom Kralidis) : `478e475 <https://github.com/mapserver/mapserver/commit/478e475af6d1921ae79335fb3a8fc621a88072ad>`__
* Add dll version stamp in Windows (Nathan Woodrow) : `1b95a4e <https://github.com/mapserver/mapserver/commit/1b95a4ecd587c0add83a061413e6efc34b296b10>`__
* Update expected result (Even Rouault) : `616ed25 <https://github.com/mapserver/mapserver/commit/616ed257f49db2ecc56db9e94c72ce4adbda789d>`__
* Adding csharp build to appveyor script (Tamas Szekeres) : `ec25f4d <https://github.com/mapserver/mapserver/commit/ec25f4dfe9205062ffc8996a9a599017b6417462>`__
* Enable MVT default format for WMS (retired reference to GD). Removed msMVTSetup(), not necessary for WMS of mode=tile operation. (Steve Lime) : `c4da16b <https://github.com/mapserver/mapserver/commit/c4da16b5bc6789cb5b1ac8b303ac0069d592cae5>`__
* Make sure all the public function names and arguments are aligned. (Steve Lime) : `47c55e0 <https://github.com/mapserver/mapserver/commit/47c55e08e1ff1f864a17e013252070908b259625>`__
* Added support to properly set direction on polygon rings so GL renders things properly. (Steve Lime) : `3d62e1c <https://github.com/mapserver/mapserver/commit/3d62e1c54f32317902f015b98ffd393e3fd22d99>`__
* Added initial hooks into WMS. Removed unused format parameter from msMVTWriteTile(). (Steve Lime) : `d542d21 <https://github.com/mapserver/mapserver/commit/d542d215039596646d34bb5ba7d214e92a86f9e4>`__
* Moved allocation of mvt features to be dynamic. Changed name of main MVT writing function and pulled it from the templating code. (Steve Lime) : `6773281 <https://github.com/mapserver/mapserver/commit/67732819a31f9b3eaa40667d8cfbe59aa03455c6>`__
* updates to schema (Ian Turton) : `32e6ef4 <https://github.com/mapserver/mapserver/commit/32e6ef40fb329f97ebfaf2c9c56d05f7abc990e2>`__
* Fixed one lingering reference to mvt_feature being used before initialization. (Steve Lime) : `d3baaa1 <https://github.com/mapserver/mapserver/commit/d3baaa1f899ebd70143cbeebda348eba6d8a473b>`__
* Update dockerfiles, add oracle and mapcache options (Michael Smith) : `ae1e229 <https://github.com/mapserver/mapserver/commit/ae1e2299abc115e8679509cdf2e4c070c16dea06>`__
* Compute n_geometry early and skip shapes where n_geometry=0. (Steve Lime) : `a62477e <https://github.com/mapserver/mapserver/commit/a62477ea3009b92ea6ff4048ca94ca8e0cb2aebd>`__
* Fix C# module name (Nathan Woodrow) : `1f02a35 <https://github.com/mapserver/mapserver/commit/1f02a3561aff603ad871f9178401fcbef9a7307f>`__
* Working without a query now... (Steve Lime) : `010dc2a <https://github.com/mapserver/mapserver/commit/010dc2adf5d760d58e6276c8b23ca099663e815c>`__
* Ignore malformed parts created by clipping process. (Steve Lime) : `e2612b9 <https://github.com/mapserver/mapserver/commit/e2612b925857a800b9003f5e30d85babfb929fcf>`__
* Got things working against a couple of the Leaflet plugins. Using version 2 of the spec. (Steve Lime) : `91e54c9 <https://github.com/mapserver/mapserver/commit/91e54c9a0293e4ab59e8e1916af17c4a921b4e5e>`__
* Fixed // comment expression... (Steve Lime) : `44e95ee <https://github.com/mapserver/mapserver/commit/44e95eeda49d246ea5c50f00fdfd978fe7436d31>`__
* Add support for C-style // comments. (Steve Lime) : `c26beca <https://github.com/mapserver/mapserver/commit/c26beca7682994d807c8f894dbf3ce78acf1cbb2>`__
* Added C-style multi-line comment support to the lexer. (Steve Lime) : `e6280d0 <https://github.com/mapserver/mapserver/commit/e6280d03ca24dc9395954035a91e7a04755bf7c2>`__
* WFS: add WEB.METADATA wfs_features_cache_count and wfs_features_cache_size items (Even Rouault) : `3c39c91 <https://github.com/mapserver/mapserver/commit/3c39c9114f513a4db54f5c38c4326e176f781594>`__
* Remove the mapserver provided strdup() function and the HAVE_STRDUP cmake check (geographika) : `d9ce708 <https://github.com/mapserver/mapserver/commit/d9ce708f41bf2a7c19f9cc8df428cab6af796b2d>`__
* Replace strdup with msStrdup in mapscript files (geographika) : `dcb8291 <https://github.com/mapserver/mapserver/commit/dcb82912316ebffacfdbebd4369417c3dfb2fd53>`__
* Replace strdup with msStrdup (geographika) : `d3b3948 <https://github.com/mapserver/mapserver/commit/d3b3948007b98f51dc02fbbd3637f3956409d24e>`__
* Added option to item take to escape strings for JSON output.  `#4324 <https://github.com/mapserver/mapserver/issues/4324>`__  (Steve Lime) : `ebb4d7ea <https://github.com/mapserver/mapserver/commit/ebb4d7ea0036b2ee23ff8554d049e5b4bcb363cc>`__
* Test image/vnd.jpeg-png (Even Rouault) : `85ab097 <https://github.com/mapserver/mapserver/commit/85ab097d700862b4f74fba1c867fe6dd247ddac6>`__
* Adjust expected results of WMS/WCS GetCapabilities response to expose image/vnd.jpeg-png and image/vnd.jpeg-png8 (Even Rouault) : `abfdfe2 <https://github.com/mapserver/mapserver/commit/abfdfe20751093bd1da6e13b19c40b98d0ec4cc8>`__
* Update msautotest/wxs/expected/wms_ogr_native.png as label rendering is different in master w.r.t branch-7-0 (Even Rouault) : `013fdec <https://github.com/mapserver/mapserver/commit/013fdec4453682e5a78852f84e1adb03b875ee12>`__
* Update msautotest/wxs/expected/wms_ogr_native.png as label rendering is different in master w.r.t branch-7-0 (Even Rouault) : `a98c2f0 <https://github.com/mapserver/mapserver/commit/a98c2f07cd3826d54f01fde1c214ed945af4596f>`__
* Use image/vnd.jpeg-png[8] as mime type to use the vendor tree (Even Rouault) : `57f8ed3 <https://github.com/mapserver/mapserver/commit/57f8ed31d84d17653bc7d158f4d800cd11353562>`__
* Output format: add a AGG/MIXED pseudo driver. (Even Rouault) : `0badcfe <https://github.com/mapserver/mapserver/commit/0badcfe0f193e46b4c4875194f7d53ce3723906f>`__
* Remove msRestoreOldFilter() that is no longer used (Even Rouault) : `d2d3921 <https://github.com/mapserver/mapserver/commit/d2d392102f27a494e9313d9f1b902288bc954cc8>`__
* Add support to get raw image data in csharp ( `#5293 <https://github.com/mapserver/mapserver/issues/5293>`__ ) (Tamas Szekeres) : `d8ae59a <https://github.com/mapserver/mapserver/commit/d8ae59ad713006de29db06988140e7775bc5b68f>`__
* Fix build when OWS is not enabled (Tamas Szekeres) : `abd8e23 <https://github.com/mapserver/mapserver/commit/abd8e2333ead2dacdaf9dff268f0242671e5cbfa>`__
* Add UTF8 marshaler to MapScript C# ( `#5275 <https://github.com/mapserver/mapserver/issues/5275>`__ ) (Tamas Szekeres) : `7bc388d <https://github.com/mapserver/mapserver/commit/7bc388d2360d07fb8165a637417338a68257279d>`__
* Add basic dockerfile for automated builds (Michael Smith) : `fedc68e <https://github.com/mapserver/mapserver/commit/fedc68e563d7c48cfbe7d6c207c4636a27dbba48>`__
* update tests for master from 7.0 (Thomas Bonfort) : `2fc36ed <https://github.com/mapserver/mapserver/commit/2fc36ed9f8c4b522685738e9ef4dfb93cea8db6e>`__
* Transfer geometries in binary from Postgres ( `#5238 <https://github.com/mapserver/mapserver/issues/5238>`__ ) (Patrick Valsecchi) : `f6c862e <https://github.com/mapserver/mapserver/commit/f6c862eb078bd13010cba20b0f176c2760d30e02>`__
* Fix usage of static string for epsg lookups ( `#4731 <https://github.com/mapserver/mapserver/issues/4731>`__ ) (Thomas Bonfort) : `4dd30cd <https://github.com/mapserver/mapserver/commit/4dd30cd194a70eeb69a2a3584b645a04db8b14ad>`__
* Set LABEL->PARTIALS to false by default ( `#5198 <https://github.com/mapserver/mapserver/issues/5198>`__ ) (Thomas Bonfort) : `590d513 <https://github.com/mapserver/mapserver/commit/590d51343eb0e3360d82dfa7f3679e6e43e6ac51>`__
* Using the actual repository in the github issue closer script. (Stephan Meissl) : `124efd1 <https://github.com/mapserver/mapserver/commit/124efd1371824cf5f3c7e17c0833797c72afcc62>`__
* Adjusting github issue closer to using oauth. (Stephan Meissl) : `3235d2d <https://github.com/mapserver/mapserver/commit/3235d2d5a9d49a777cc8e8f4e21d65922cb9bc0e>`__
* Correct compile error with -Werror=format-security (Sam Jorna) : `29bb756 <https://github.com/mapserver/mapserver/commit/29bb75688265f081e3a271b2b5bc7a42283235fb>`__
* msHTTPExecuteRequests(): log POST content if debug is enabled (Even Rouault) : `de7ef60 <https://github.com/mapserver/mapserver/commit/de7ef60c4cd04ea9708a17052c48d8875f067410>`__
* Rename wfs_ignore_maxfeatures_for_hits to wfs_maxfeatures_ignore_for_resulttype_hits (Even Rouault) : `8bfffc2 <https://github.com/mapserver/mapserver/commit/8bfffc24f60b97c0d8b4441347c5fccf3fb1fe60>`__
* msQueryByFilter(): use msLayerGetShapeCount() when possible (Even Rouault) : `28354fe <https://github.com/mapserver/mapserver/commit/28354fe4bd5f5c3058a87ebc31d55ca7905388f3>`__
* PostGIS: call msLayerTranslateFilter() in msPostGISLayerGetShapeCount(), and fix memory leaks in msPostGISBuildSQLWhere() (Even Rouault) : `4557afe <https://github.com/mapserver/mapserver/commit/4557afed33f92d22c969282d22dacf027e5e7387>`__
* Add support for wfs_ignore_maxfeatures_for_hits metadata item (Even Rouault) : `2514786 <https://github.com/mapserver/mapserver/commit/2514786ddcdcc11a89fd2779ed2ecd02b3c96b59>`__
* Fixed case when drawing legend shapes with style geomtransforms. ( `#5193 <https://github.com/mapserver/mapserver/issues/5193>`__ ) (Steve Lime) : `aee1c1f <https://github.com/mapserver/mapserver/commit/aee1c1f2da87833592bd8c1e2671fbd2004df064>`__
* msLayerGetShapeCount(): add intersection and not only BBOX testing (Even Rouault) : `cd1e4b3 <https://github.com/mapserver/mapserver/commit/cd1e4b30481943efa13d794bae121272903d7e47>`__
* Implement LayerGetShapeCount() (Even Rouault) : `1bf85cf <https://github.com/mapserver/mapserver/commit/1bf85cfb53c16c2b6e00bdb483d64d4862991154>`__
* msDrawRasterLayerGDAL(): find alpha band even if not 4th one ( `#5216 <https://github.com/mapserver/mapserver/issues/5216>`__ ) (Even Rouault) : `c8c461e <https://github.com/mapserver/mapserver/commit/c8c461e4374f9330f0e70a80f2b121b21aaa7c99>`__
* Update mapserver.h (Kelly Elton) : `bb0a76a <https://github.com/mapserver/mapserver/commit/bb0a76a6fa8d3de581bae56d2dbf2750e7e87716>`__
* using WIN32 instead of SWIGWIN to build c# windows mapscript (Don Ch) : `abba0aa <https://github.com/mapserver/mapserver/commit/abba0aa2af9d0ffe01b7a6444fea9faeae5cce9b>`__
* if WIN32 include <windows.h> (Don Ch) : `9258c65 <https://github.com/mapserver/mapserver/commit/9258c65a2ae6ac661e8ec00f4430efefa45b409e>`__
* RFC112: Retry displaced follow labels on maxoverlapangle colisions ( `#5048 <https://github.com/mapserver/mapserver/issues/5048>`__ ) (Thomas Bonfort) : `813f885 <https://github.com/mapserver/mapserver/commit/813f8855a6ba4bf61720b347d7034738fe3b0dce>`__
* add explanation for why we need second param in mapObj (Don Ch) : `a7f5300 <https://github.com/mapserver/mapserver/commit/a7f530004e0afffee1c947ff8e242bb505ddd29d>`__
* mapObj isMapText: used as signature only to differentiate this constructor from default constructor (Don Ch) : `26cfef5 <https://github.com/mapserver/mapserver/commit/26cfef50d573da37d10234d1cf52ce7d6cf3bc1f>`__
* Update csmodule.i (Don Ch) : `a5bfbda <https://github.com/mapserver/mapserver/commit/a5bfbda225a5c44cb47d786a0163afa2591b5b31>`__
* added mapObj(char mapText, int isMapText) (Don Ch) : `4fcf73a <https://github.com/mapserver/mapserver/commit/4fcf73adcccffb21bcaec2afb14f04b69e999d13>`__
* get rid of previously added mapObj default constructor (Don Ch) : `3cee0ca <https://github.com/mapserver/mapserver/commit/3cee0ca29ad3268f3061d2765af21af6792a1216>`__
* if swigcsharp, mapObj can be constructed from mapText (Don Ch) : `5e1e68a <https://github.com/mapserver/mapserver/commit/5e1e68a4720592a41a60996c833adfcff4024e4a>`__
* Update map.i (Don Ch) : `e66bc87 <https://github.com/mapserver/mapserver/commit/e66bc874ac0a3db9440d33456c38abbb4e07335d>`__
* Update csmodule.i (Don Ch) : `8f052ef <https://github.com/mapserver/mapserver/commit/8f052ef63657b6e8f977e62498366525a659efaa>`__
* Remove empty else clause (Even Rouault) : `f1fc6d7 <https://github.com/mapserver/mapserver/commit/f1fc6d714d634a11aa753b61a65be9107a5ba2f8>`__
* Decorate msIO_vfprintf() declaration with MS_PRINT_FUNC_FORMAT (Even Rouault) : `02899b7 <https://github.com/mapserver/mapserver/commit/02899b764906fd1b6aa74d52ea0cb6a47c298953>`__
* Disable unused function but that could be useful if implementing filter translation (Even Rouault) : `b8a2c6a <https://github.com/mapserver/mapserver/commit/b8a2c6a8c328aa60d078df50d7db4eae6ce39efc>`__
* Fix compiler warning on ancient freetype where FT_Bitmap::width and height are signed int (Even Rouault) : `15f7afa <https://github.com/mapserver/mapserver/commit/15f7afa37722e3bbaff48841aa3d9ab840b586ed>`__
* Remove return value from void function (Even Rouault) : `03d875f <https://github.com/mapserver/mapserver/commit/03d875f9d4d59bfa02e5b62a4484f97eb787b3b1>`__
* Added status check after msLayerWhichItems() is called in msDrawVectorLayer(). ( `#5188 <https://github.com/mapserver/mapserver/issues/5188>`__ ) (Steve Lime) : `a1a589d <https://github.com/mapserver/mapserver/commit/a1a589d3cf7598514f555758854bd9f07f3dabee>`__
* Implement chainable compositing filters (RFC113) (Thomas Bonfort) : `4521ccf <https://github.com/mapserver/mapserver/commit/4521ccfdc9c743e266d40134af158bad128df68c>`__
* add a buffer around vector tiles, configure the vector tile extent (Thomas Bonfort) : `032e5d3 <https://github.com/mapserver/mapserver/commit/032e5d3215d88a8519b0ef2405ff9a0c49eab998>`__
* segfault on NULL item type (Thomas Bonfort) : `ab54481 <https://github.com/mapserver/mapserver/commit/ab544816b8da3eff25a5e8960d0bbdaaec827ad4>`__
* restore default vector tile extent to 4096 (Thomas Bonfort) : `2597714 <https://github.com/mapserver/mapserver/commit/2597714ded12107658e7119f9890e8fbdcf68ac6>`__
* fix y orientation, align to query rect (Thomas Bonfort) : `ead1757 <https://github.com/mapserver/mapserver/commit/ead1757de83772cb77c224bc68c862089ad9a177>`__
* setup correct map scale and units for WFS queries if using vector tile driver (Thomas Bonfort) : `50c3a44 <https://github.com/mapserver/mapserver/commit/50c3a44ddd3c182ca0e1a16a6e5a1c5c20675768>`__
* fix allocation error (Thomas Bonfort) : `e837275 <https://github.com/mapserver/mapserver/commit/e8372756dec33aaf55a60430bfd3ca10741c319f>`__
* implement geometry encoding, remove mvt from default formats (Thomas Bonfort) : `0ed57ec <https://github.com/mapserver/mapserver/commit/0ed57ec03101c09558dd4e49d44aeb0cfb2d4415>`__
* correct protobuf package name (Thomas Bonfort) : `59f45f6 <https://github.com/mapserver/mapserver/commit/59f45f6d8c61567faca721c237775016bbd0df9c>`__
* WIP implementing vector tile support (Thomas Bonfort) : `1123b9e <https://github.com/mapserver/mapserver/commit/1123b9ef4f46275a1dc156d4cfca0d98f9ce01c2>`__
* plug vector tile driver into template output (Thomas Bonfort) : `0de0230 <https://github.com/mapserver/mapserver/commit/0de02306b65b6a8b157abdb1ddf051b333056782>`__
* scafolding for vector tile support (Thomas Bonfort) : `50482bf <https://github.com/mapserver/mapserver/commit/50482bf7fbabaaea5cc6f537c2065563ddef4b7c>`__
* fix merge conflicts from previous commit (Thomas Bonfort) : `1077d82 <https://github.com/mapserver/mapserver/commit/1077d82046d675b962e16680de02eeaa3f266cf1>`__
* Fixed a bug (see  `#5157 <https://github.com/mapserver/mapserver/issues/5157>`__ ) where converting points from pixel to image coordinates with the shpxy tag was happening twice. (Steve Lime) : `745f172 <https://github.com/mapserver/mapserver/commit/745f1725cd2b813dd96c6cee111a28880eb2b8a7>`__
* WFS OGR output: fix creation of .zip with MIF files ( `#5155 <https://github.com/mapserver/mapserver/issues/5155>`__ ) (Even Rouault) : `855fa17 <https://github.com/mapserver/mapserver/commit/855fa17e8eaf57b870c175b02781d0ac3ff5e47e>`__
* Accept LUT with input range in [0,65535] set (Even Rouault) : `d675ea2 <https://github.com/mapserver/mapserver/commit/d675ea2a5c10644f1de557deb2531af2c7fc30e3>`__
* Fix missing fclose on failure (Sander Jansen) : `13d3fdf <https://github.com/mapserver/mapserver/commit/13d3fdfa920b2d42594d7ebbf52731ce5069e78e>`__
* Fix compilation with gif_lib 5.1 (Sander Jansen) : `0101157 <https://github.com/mapserver/mapserver/commit/0101157d4edd5d837d17356c66c7d25af7e020ac>`__
* Fix memory leaks on error (Sander Jansen) : `f103b42 <https://github.com/mapserver/mapserver/commit/f103b421dee8051cb91cbf50d90587fccf03e626>`__
* Fix memory leaks in mapdrawgdal.c (Sander Jansen) : `51bd4d7 <https://github.com/mapserver/mapserver/commit/51bd4d78f0b57deac8b714375051f5398de1f41e>`__
* Add appveyor.yml (Even Rouault) : `b6f7a4d <https://github.com/mapserver/mapserver/commit/b6f7a4d3bb2c8c8ccc56b388ec6b58ed43d39ba2>`__
* Fix build when USE_ICONV is not defined (Even Rouault) : `32d2aa7 <https://github.com/mapserver/mapserver/commit/32d2aa75a7afd300e5cdc67a3c569299ef3cdbea>`__
* Fix most remaining warnings raised on Travis (Even Rouault) : `0fc850b <https://github.com/mapserver/mapserver/commit/0fc850b71423323fbc163531395bb34509df6744>`__
* WCS: GeoTIFF creation option is TILED, not TILING (Even Rouault) : `dc21e0d <https://github.com/mapserver/mapserver/commit/dc21e0d1c25f31d8752fa20b806a922aff9a2877>`__
* Remove various compiler warnings (Even Rouault) : `4672325 <https://github.com/mapserver/mapserver/commit/4672325834259b89f20161b431a04b0296f13da3>`__
* Update SetRGB arguments in csharp sample (Tamas Szekeres) : `60bd48e <https://github.com/mapserver/mapserver/commit/60bd48e66e1d0a9883ba7c5e91eedef039c766bd>`__
* make travis-ci use msautotest's master branch (Thomas Bonfort) : `f13cd88 <https://github.com/mapserver/mapserver/commit/f13cd8825e117b09663bb325a03854c27e9cdd39>`__
* Avoid potential recursion problem in msSHPLayerNextShape(). ( `#5108 <https://github.com/mapserver/mapserver/issues/5108>`__ ) (Steve Lime) : `95f787a <https://github.com/mapserver/mapserver/commit/95f787aa7100dc5f996655d5936ef0b8c92b6bbf>`__
* mapogcsld.c: remove dead code (Even Rouault) : `6d69109 <https://github.com/mapserver/mapserver/commit/6d6910935fc8ae4011a9d0bff506240e7803b9b6>`__
* Updating msautotest submodule. (Stephan Meissl) : `640d295 <https://github.com/mapserver/mapserver/commit/640d29520b09359ad4f566c8afb37bec05e7ce93>`__
* FLTGetBinaryComparisonCommonExpression(): escape date literals with backquote ( `#5104 <https://github.com/mapserver/mapserver/issues/5104>`__ ) (Even Rouault) : `ad8589f <https://github.com/mapserver/mapserver/commit/ad8589f2da1e23d817fcfbb32d5686860979e675>`__
* Applied patch proposed in  `#5098 <https://github.com/mapserver/mapserver/issues/5098>`__ . (Steve Lime) : `baa39a5 <https://github.com/mapserver/mapserver/commit/baa39a51e62f4e328433c28fd02e19f06872e312>`__
* Applied patch for  `#5099 <https://github.com/mapserver/mapserver/issues/5099>`__ ... (Steve Lime) : `d14bef1 <https://github.com/mapserver/mapserver/commit/d14bef176168edfcb812131c65e7ea11e868e06e>`__
* Removing GD-COPYING since the GD dependency has been removed. ( `#5080 <https://github.com/mapserver/mapserver/issues/5080>`__ ) (Steve Lime) : `90f4b66 <https://github.com/mapserver/mapserver/commit/90f4b6638d6c50ba9bffbb01e101e1406eba3e65>`__
* Formatting clean up... (sdlime) : `006da75 <https://github.com/mapserver/mapserver/commit/006da7597ae59dfab76638601527b4b2f37593dd>`__

















































